Mono.Options 0.2.0.0 0.2.1.0 0.2.2.0 System.Enum Specifies whether or not a takes a value, and if it does, whether it's optional or required.
- Field
  0.2.0.0
  0.2.1.0
  0.2.2.0
  Mono.Options.OptionValueType

  No value is taken.

  If an option takes no value, then the callback function will receive if the value is (e.g. -optionName- was used) and non- if the value is (e.g. -optionName, -optionName+).

- Field
  0.2.0.0
  0.2.1.0
  0.2.2.0
  Mono.Options.OptionValueType

  A value is optional.

  This is specified by providing : after the option name within .

  If a value is optional, the callback function will receive value if no value is provided, and will otherwise receive a non- value.

  Options with optional values are not "greedy" -- the value must be part of the current argument, e.g. -opt:foo will pass "foo" as the value to -opt, but -opt foo will pass as the value to -opt.

- Field
  0.2.0.0
  0.2.1.0
  0.2.2.0
  Mono.Options.OptionValueType

  A value is required.

  This is specified by providing = after the option name within .

  Options with required values are "greedy" -- if the current argument does not contain a value, the next argument will be used as the value, e.g. both -opt:foo and -opt foo will pass "foo" as the value to -opt.